package com.upay.sdk.myexecuter;


import com.alibaba.fastjson.JSONObject;
import com.upay.sdk.core.CipherWrapper;
import com.upay.sdk.exception.UnknownException;
import com.upay.sdk.executer.Executer;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class MyNotifyExecuter extends Executer {

    static final Logger LOGGER = LoggerFactory.getLogger(MyNotifyExecuter.class);

    public JSONObject parseNotifyData(JSONObject notifyData) {

        JSONObject rawData = null;

        try {
            rawData = CipherWrapper.bothDecryptWrap(notifyData);
            bothVerifyHmacOrder(rawData);

        } catch (Exception e) {
            e.printStackTrace();
            throw new UnknownException(e);
        }


        return rawData;
    }


}


